#!/bin/bash

DATE_TIME=`date +%F-%H-%M` # the current date and time
NUMONIC_LOGFILE=$DATE_TIME
FULL_LOGFILE_NAME=log/$NUMONIC_LOGFILE.log
HOSTNAME=`hostname`

MAILTARGET="ip59@st-andrews.ac.uk"  #who will be emailed

function tolog {
	echo "`date +%F@%H-%M-%S`: $1 " >> $LOGFILE
}

function sendTerminationEmail { # One parameter: a log message to include.

	tail -n300 $FULL_LOGFILE_NAME | mail -s "NUMONIC logs from $HOSTNAME" $MAILTARGET
	
	trap - INT TERM EXIT #Remove the traps to the following system calls.
	exit $2
}

#Trap system calls if the script exits prematurely. Prior to this exit ensure the log file's contents are emailed to the appropriate person.
trap "sendTerminationEmail 'NUMONIC was unexpectedly terminated.' 1; exit" INT TERM EXIT

java -jar numonic.jar -pbeast-mysql.properties -l$NUMONIC_LOGFILE

if [ $? -ne 0 ]; then 
	sendTerminationEmail "Numonic terminated with an error code." 1
else 
	sendTerminationEmail "Numonic was cleanly stopped." 0
fi
