package uk.ac.standrews.cs.nds.madface;

import java.util.ArrayList;
import java.util.List;

public class JavaProcessDescriptor extends ProcessDescriptor {

    private volatile List<String> jvm_params;
    private volatile Class<?> class_to_be_invoked;
    private volatile List<String> args;

    private static final List<String> EMPTY_ARG_LIST = new ArrayList<String>();

    public List<String> getJVMParams() {

        return jvm_params;
    }

    public Class<?> getClassToBeInvoked() {

        return class_to_be_invoked;
    }

    public JavaProcessDescriptor classToBeInvoked(final Class<?> class_to_be_invoked) {

        this.class_to_be_invoked = class_to_be_invoked;
        return this;
    }

    public JavaProcessDescriptor jvmParams(final List<String> jvm_params) {

        this.jvm_params = jvm_params;
        return this;
    }

    public List<String> getArgs() {

        return args == null ? EMPTY_ARG_LIST : args;
    }

    public ProcessDescriptor args(final List<String> args) {

        this.args = args;
        return this;
    }
}
