/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2011 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/
package uk.ac.standrews.cs.nds.rpc;

/**
 * RPC-related exception.
 *
 * @author Graham Kirby (graham.kirby@st-andrews.ac.uk)
 */
public class RPCException extends Exception {

    private static final long serialVersionUID = -5150628163569037268L;

    /**
     * Creates an exception with a given message.
     * 
     * @param message the message
     * @param cause the cause
     */
    public RPCException(final String message, final Throwable cause) {

        super(message, cause);
    }

    /**
     * Creates an exception with a given message.
     * @param message the message
     */
    public RPCException(final String message) {

        super(message);
    }

    /**
     * Creates an exception with a given cause.
     * @param cause the cause
     */
    public RPCException(final Throwable cause) {

        super(cause);
    }
}
