package uk.ac.standrews.cs.nds.rpc.nostream;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.HashSet;
import java.util.Set;

import uk.ac.standrews.cs.nds.rpc.AbstractServerThread;

class ServerThread extends AbstractServerThread {

    private final ApplicationServer application_server;
    private final HashSet<RequestHandler> extant_handlers = new HashSet<RequestHandler>();

    public ServerThread(final ApplicationServer application_server, final ServerSocket server_socket) {

        super(server_socket);
        this.application_server = application_server;
    }

    @SuppressWarnings("unchecked")
    @Override
    protected void shutDownHandlers() {

        // Shut down all the extant request handlers.
        // The set is cloned since the handler removes itself from the set on shutdown.
        for (final RequestHandler handler : (Set<RequestHandler>) extant_handlers.clone()) {
            handler.shutDown();
        }
    }

    @Override
    protected void handleRequest(final Socket socket) throws IOException {

        final RequestHandler request = application_server.makeRequest(socket, extant_handlers);
        thread_pool.execute(request);
    }
}
