/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2011 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/
package uk.ac.standrews.cs.nds.rpc.nostream.json;

/**
 * Representation of JSON string value.
 *
 * @author Graham Kirby (graham.kirby@st-andrews.ac.uk)
 */
public class JSONString extends JSONValue {

    /**
     * Representation of empty string.
     */
    public static final JSONValue EMPTY_STRING = new JSONString("");

    /**
     * Initializes a string.
     * @param value the value
     */
    public JSONString(final String value) {

        super(value);
    }

    // -------------------------------------------------------------------------------------------------------

    @Override
    public Object getValue() {

        return primitive_value;
    }

    @Override
    public void putSelfIntoObject(final String key, final JSONObject parent) {

        parent.put(key, (String) primitive_value);
    }

    @Override
    public void putSelfIntoArray(final int index, final JSONArray parent) {

        parent.put(index, (String) primitive_value);
    }
}
