/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2011 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/

package uk.ac.standrews.cs.nds.rpc.security.exception;

/**
 * The Class PublicKeyNotFoundException, thrown when public key is not provided as part of the signature and public key is not found/stored locally.
 *
 * @author Masih Hajiarabderkani (masih@cs.st-andrews.ac.uk)
 */
public class PublicKeyNotFoundLocalException extends Exception {

    private static final long serialVersionUID = 7240859122922101310L;

    /**
     * Instantiates a new public key not found exception.
     */
    public PublicKeyNotFoundLocalException() {

    }

    /**
     * Instantiates a new public key not found exception.
     *
     * @param message the message
     */
    public PublicKeyNotFoundLocalException(final String message) {

        super(message);
    }

    /**
     * Instantiates a new public key not found exception.
     *
     * @param throwable the throwable
     */
    public PublicKeyNotFoundLocalException(final Throwable throwable) {

        super(throwable);
    }

    /**
     * Instantiates a new public key not found exception.
     *
     * @param message the message
     * @param throwable the throwable
     */
    public PublicKeyNotFoundLocalException(final String message, final Throwable throwable) {

        super(message, throwable);
    }

}
