/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2011 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/
package uk.ac.standrews.cs.nds.rpc.stream;

import java.io.IOException;
import java.io.Writer;

/**
 * The Class DebugWriter.
 *
 * @author Alan Dearle  (al@st-andrews.ac.uk)
 * @author Masih Hajiarabderkani (masih@cs.st-andrews.ac.uk)
 */
public class DebugWriter extends Writer {

    private final Writer realone;

    /**
     * Instantiates a new debug writer.
     *
     * @param realone the realone
     */
    public DebugWriter(final Writer realone) {

        this.realone = realone;
    }

    @Override
    public void write(final char[] cbuf, final int off, final int len) throws IOException {

        for (int i = off; i < off + len; i++) {
            System.out.print(cbuf[i]);
        }
        realone.write(cbuf, off, len);
    }

    @Override
    public void close() throws IOException {

        realone.close();

    }

    @Override
    public void flush() throws IOException {

        realone.flush();

    }

}
