/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2011 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/
package uk.ac.standrews.cs.nds.rpc.test.app;

/**
 * Test object.
 *
 * @author Graham Kirby (graham.kirby@st-andrews.ac.uk)
 */
public class TestParameter2 {

    private final String s;
    private final boolean b;
    private final int[] i;
    private final TestParameter3 t3;

    /**
     * Creates a test object.
     *
     * @param s a string
     * @param b a boolean
     * @param i an array
     * @param t3 an object
     */
    public TestParameter2(final String s, final boolean b, final int[] i, final TestParameter3 t3) {

        this.s = s;
        this.b = b;
        this.i = i == null ? null : i.clone();
        this.t3 = t3;
    }

    /**
     * Returns the s field.
     * @return the s field
     */
    public String getS() {

        return s;
    }

    /**
     * Returns the b field.
     * @return the b field
     */
    public boolean getB() {

        return b;
    }

    /**
     * Returns the i field.
     * @return the i field
     */
    public int[] getI() {

        return i == null ? null : i.clone();
    }

    /**
     * Returns the t3 field.
     * @return the t3 field
     */
    public TestParameter3 getT3() {

        return t3;
    }
}
