/***************************************************************************
 *                                                                         *
 * nds Library                                                             *
 * Copyright (C) 2005-2011 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://www-systems.cs.st-andrews.ac.uk/                                 *
 *                                                                         *
 * This file is part of nds, a package of utility classes.                 *
 *                                                                         *
 * nds is free software: you can redistribute it and/or modify             *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * nds is distributed in the hope that it will be useful,                  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with nds.  If not, see <http://www.gnu.org/licenses/>.            *
 *                                                                         *
 ***************************************************************************/
package uk.ac.standrews.cs.nds.rpc.test.app.stream;

import java.net.InetSocketAddress;

import org.json.JSONException;
import org.json.JSONWriter;

import uk.ac.standrews.cs.nds.rpc.DeserializationException;
import uk.ac.standrews.cs.nds.rpc.stream.JSONReader;
import uk.ac.standrews.cs.nds.rpc.test.app.ITest;

/**
 * Marshaller for the test application.
 * 
 * @author Masih Hajiarabderkani (masih@cs.st-andrews.ac.uk)
 */
public class TestSignableMarshaller extends TestMarshaller {

    @Override
    public void serializeITest(final ITest other, final JSONWriter writer) throws JSONException {

        writer.object();
        writer.key("proxy");
        serializeInetSocketAddress(((TestSignableProxy) other).getProxiedAddress(), writer);
        writer.endObject();

    }

    @Override
    public ITest deserializeITest(final JSONReader reader) throws DeserializationException, JSONException {

        if (reader.checkNull()) { return null; }

        try {
            reader.object();
            reader.key("proxy");
            final InetSocketAddress address = deserializeInetSocketAddress(reader);
            reader.endObject();

            return new TestSignableProxy(address);
        }
        catch (final Exception e) {
            throw new DeserializationException(e);
        }

    }
}
