package uk.ac.standrews.cs.nds.util.test;

import static org.hamcrest.core.Is.is;
import static org.hamcrest.core.IsEqual.equalTo;
import static org.junit.Assert.assertThat;

import java.util.concurrent.TimeUnit;

import org.junit.Test;

import uk.ac.standrews.cs.nds.util.Duration;

public class DurationTest {

    @Test
    public void durationOrdering() {

        final Duration d1 = new Duration(1, TimeUnit.MILLISECONDS);
        final Duration d2 = new Duration(10, TimeUnit.MILLISECONDS);
        final Duration d3 = new Duration(1, TimeUnit.SECONDS);

        assertThat(d1.compareTo(d1), is(equalTo(0)));
        assertThat(d1.compareTo(d2), is(equalTo(-1)));
        assertThat(d1.compareTo(d3), is(equalTo(-1)));

        assertThat(d2.compareTo(d1), is(equalTo(1)));
        assertThat(d2.compareTo(d2), is(equalTo(0)));
        assertThat(d2.compareTo(d3), is(equalTo(-1)));

        assertThat(d3.compareTo(d1), is(equalTo(1)));
        assertThat(d3.compareTo(d2), is(equalTo(1)));
        assertThat(d3.compareTo(d3), is(equalTo(0)));
    }
}
