/***************************************************************************
 *                                                                         *
 * numonic Library                                                         *
 * Copyright (C) 2009-2011 Distributed Systems Architecture Research Group *
 * University of St Andrews, Scotland                                      *
 * http://blogs.cs.st-andrews.ac.uk/numonic                                    *
 *                                                                         *
 * This file is part of remote_management, a package providing             *
 * functionality for remotely managing a specified application.            *
 *                                                                         *
 * numonic is free software: you can redistribute it and/or                *
 * modify it under the terms of the GNU General Public License as          *
 * published by the Free Software Foundation, either version 3 of the      *
 * License, or (at your option) any later version.                         *
 *                                                                         *
 * numonic is distributed in the hope that it will be useful,              *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with numonic.  If not, see <http://www.gnu.org/licenses/>.        *
 *                                                                         *
 ***************************************************************************/

package uk.ac.standrews.cs.numonic.sort.filter;

import java.util.Set;

import uk.ac.standrews.cs.numonic.sort.data.MachineInfo;

/**
 * Interface defining machine filter.
 *
 * @author Alan Dearle (al@cs.st-andrews.ac.uk)
 */
public interface IMachineFilter {

    /**
     * Selects machines from a set according to specified requirements.
     *
     * @param machines a set of machines
     * @param requirements the requirements
     * @return the machines meeting the requirements
     */
    Set<MachineInfo> selectSuitableMachines(final Set<MachineInfo> machines, final Requirements requirements);
}
